### Virtual Method

# RB TrackTransferBatch get_dest_uri

#### Declaration [src]

    char*
    get_dest_uri (
      RBTrackTransferBatch* batch,
      RhythmDBEntry* entry,
      const char* mediatype,
      const char* extension
    )

#### Description

No description available.

#### Parameters

`entry`

  Type: `RhythmDBEntry`

  No description available.

  The data is owned by the caller of the method.

`mediatype`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`extension`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `char*`

No description available.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.